Bug 94510 - Validity list of dates converted to numbers inside list
Summary: Validity list of dates converted to numbers inside list
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Validity
  Show dependency treegraph
 
Reported: 2015-09-25 15:31 UTC by Marcelo
Modified: 2018-07-07 02:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
validity list shows date as general numbers (9.72 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-09-25 15:31 UTC, Marcelo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcelo 2015-09-25 15:31:03 UTC
Created attachment 119024 [details]
validity list shows date as general numbers

Supose you create two named ranges:
- one constant 'fixed_range' ranges from: $Sheet1.$A$3:$A$30
- second dynamic size 'dynamic_range' ranges using this formula: $Sheet1.$A$3:INDEX($Sheet1.$A$3:$A$30,COUNT($Sheet1.$A$3:$A$30))

Let's say the data are formatted as date.
Create two validaty cells which items are linked to names 'fixed_range' and 'dynamic_range'.

When you open dynamic_range list the date are shown as general numbers not on date format actually.
Comment 1 raal 2015-09-26 16:54:34 UTC
I can confirm with Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
and Version: 5.1.0.0.alpha1+
Build ID: 83ef294dddf3b1ab5cd5f91a792a7d9413a08f1f
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-20_07:00:46
Comment 2 QA Administrators 2016-11-08 10:33:33 UTC Comment hidden (obsolete)
Comment 3 ThierryT 2016-12-17 16:56:57 UTC
I confirm that the bug still exists on version :

Version: 5.2.4.2 (x64)
Build ID: 8783ba61dfea562444cb6390e69aa8b3c5e91156
Threads CPU : 4; Version de l'OS :Windows 6.29; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: group
Comment 4 QA Administrators 2018-07-07 02:39:28 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug